from typing import List

from pydantic import BaseModel, StrictStr, StrictInt, StrictBool

from core.domains.notification.entity.notification_entity import NotificationEntity


class DefaultNotificationResponseSchema(BaseModel):
    result: StrictStr


class GetNotificationResponseSchema(BaseModel):
    notifications: List[NotificationEntity] | None
    cursor: dict


class GetBadgeResponseSchema(BaseModel):
    result: StrictBool
